Fcntl (JNA API)
Description: declaration: package: com.sun.jna.platform.linux, interface: Fcntl

Package com.sun.jna.platform.linux

# Interface Fcntl

public interface Fcntl
POSIX Standard: 6.5 File Control Operations from `fcntl.h`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `__O_SYNC`
  `static final int`
  `__O_TMPFILE`
  `static final int`
  `O_APPEND`
  `static final int`
  `O_CLOEXEC`
  `static final int`
  `O_CREAT`
  `static final int`
  `O_DIRECT`
  `static final int`
  `O_DIRECTORY`
  `static final int`
  `O_DSYNC`
  `static final int`
  `O_EXCL`
  `static final int`
  `O_FASYNC`
  `static final int`
  `O_LARGEFILE`
  `static final int`
  `O_NDELAY`
  `static final int`
  `O_NOATIME`
  `static final int`
  `O_NOFOLLOW`
  `static final int`
  `O_NONBLOCK`
  `static final int`
  `O_PATH`
  `static final int`
  `O_RDONLY`
  `static final int`
  `O_RDWR`
  `static final int`
  `O_SYNC`
  `static final int`
  `O_TMPFILE`
  `static final int`
  `O_TRUNC`
  `static final int`
  `O_WRONLY`
  `static final int`
  `S_IRGRP`
  `static final int`
  `S_IROTH`
  `static final int`
  `S_IRUSR`
  `static final int`
  `S_IRWXG`
  `static final int`
  `S_IRWXO`
  `static final int`
  `S_IRWXU`
  `static final int`
  `S_ISGID`
  `static final int`
  `S_ISUID`
  `static final int`
  `S_ISVTX`
  `static final int`
  `S_IWGRP`
  `static final int`
  `S_IWOTH`
  `static final int`
  `S_IWUSR`
  `static final int`
  `S_IXGRP`
  `static final int`
  `S_IXOTH`
  `static final int`
  `S_IXUSR`

- ## Field Details

  - ### O_RDONLY

    static final int O_RDONLY
    See Also:
      - Constant Field Values

  - ### O_WRONLY

    static final int O_WRONLY
    See Also:
      - Constant Field Values

  - ### O_RDWR

    static final int O_RDWR
    See Also:
      - Constant Field Values

  - ### O_CREAT

    static final int O_CREAT
    See Also:
      - Constant Field Values

  - ### O_EXCL

    static final int O_EXCL
    See Also:
      - Constant Field Values

  - ### O_TRUNC

    static final int O_TRUNC
    See Also:
      - Constant Field Values

  - ### O_APPEND

    static final int O_APPEND
    See Also:
      - Constant Field Values

  - ### O_NONBLOCK

    static final int O_NONBLOCK
    See Also:
      - Constant Field Values

  - ### O_DSYNC

    static final int O_DSYNC
    See Also:
      - Constant Field Values

  - ### O_FASYNC

    static final int O_FASYNC
    See Also:
      - Constant Field Values

  - ### O_DIRECT

    static final int O_DIRECT
    See Also:
      - Constant Field Values

  - ### O_LARGEFILE

    static final int O_LARGEFILE
    See Also:
      - Constant Field Values

  - ### O_DIRECTORY

    static final int O_DIRECTORY
    See Also:
      - Constant Field Values

  - ### O_NOFOLLOW

    static final int O_NOFOLLOW
    See Also:
      - Constant Field Values

  - ### O_NOATIME

    static final int O_NOATIME
    See Also:
      - Constant Field Values

  - ### O_CLOEXEC

    static final int O_CLOEXEC
    See Also:
      - Constant Field Values

  - ### __O_SYNC

    static final int __O_SYNC
    See Also:
      - Constant Field Values

  - ### O_PATH

    static final int O_PATH
    See Also:
      - Constant Field Values

  - ### __O_TMPFILE

    static final int __O_TMPFILE
    See Also:
      - Constant Field Values

  - ### O_SYNC

    static final int O_SYNC
    See Also:
      - Constant Field Values

  - ### O_TMPFILE

    static final int O_TMPFILE
    See Also:
      - Constant Field Values

  - ### O_NDELAY

    static final int O_NDELAY
    See Also:
      - Constant Field Values

  - ### S_IRUSR

    static final int S_IRUSR
    See Also:
      - Constant Field Values

  - ### S_IWUSR

    static final int S_IWUSR
    See Also:
      - Constant Field Values

  - ### S_IXUSR

    static final int S_IXUSR
    See Also:
      - Constant Field Values

  - ### S_IRWXU

    static final int S_IRWXU
    See Also:
      - Constant Field Values

  - ### S_IRGRP

    static final int S_IRGRP
    See Also:
      - Constant Field Values

  - ### S_IWGRP

    static final int S_IWGRP
    See Also:
      - Constant Field Values

  - ### S_IXGRP

    static final int S_IXGRP
    See Also:
      - Constant Field Values

  - ### S_IRWXG

    static final int S_IRWXG
    See Also:
      - Constant Field Values

  - ### S_IROTH

    static final int S_IROTH
    See Also:
      - Constant Field Values

  - ### S_IWOTH

    static final int S_IWOTH
    See Also:
      - Constant Field Values

  - ### S_IXOTH

    static final int S_IXOTH
    See Also:
      - Constant Field Values

  - ### S_IRWXO

    static final int S_IRWXO
    See Also:
      - Constant Field Values

  - ### S_ISUID

    static final int S_ISUID
    See Also:
      - Constant Field Values

  - ### S_ISGID

    static final int S_ISGID
    See Also:
      - Constant Field Values

  - ### S_ISVTX

    static final int S_ISVTX
    See Also:
      - Constant Field Values